- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# vmware_cluster_info – Gather info about clusters available in given vCenter

New in version 2.6.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to gather information about clusters in VMWare infrastructure.
- All values and VMware object names are case sensitive.
- This module was called `vmware_cluster_facts` before Ansible 2.9. The usage did not change.

Aliases: vmware_cluster_facts

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6
- PyVmomi

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
cluster_name string |  | Name of the cluster. If set, information of this cluster will be returned. This parameter is required, if `datacenter` is not supplied.
datacenter string |  | Datacenter to search for cluster/s. This parameter is required, if `cluster_name` is not supplied.
hostname string |  | The hostname or IP address of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_HOST` will be used instead. Environment variable support added in Ansible 2.6.
password string |  | The password of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PASSWORD` will be used instead. Environment variable support added in Ansible 2.6. aliases: pass, pwd
port integer added in 2.5 | Default: 443 | The port number of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PORT` will be used instead. Environment variable support added in Ansible 2.6.
proxy_host string added in 2.9 |  | Address of a proxy that will receive all HTTPS requests and relay them. The format is a hostname or a IP. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_HOST` will be used instead. This feature depends on a version of pyvmomi greater than v6.7.1.2018.12
proxy_port integer added in 2.9 |  | Port of the HTTP proxy that will receive all HTTPS requests and relay them. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_PORT` will be used instead.
show_tag boolean added in 2.9 | Choices: no ← yes | Tags related to cluster are shown if set to `True`.
username string |  | The username of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_USER` will be used instead. Environment variable support added in Ansible 2.6. aliases: admin, user
validate_certs boolean | Choices: no yes ← | Allows connection when SSL certificates are not valid. Set to `false` when certificates are not trusted. If the value is not specified in the task, the value of environment variable `VMWARE_VALIDATE_CERTS` will be used instead. Environment variable support added in Ansible 2.6. If set to `yes`, please make sure Python >= 2.7.9 is installed on the given machine.

## Notes

Note

- Tested on vSphere 6.5, 6.7

## Examples

    - name: Gather cluster info from given datacenter
      vmware_cluster_info:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        datacenter: ha-datacenter
        validate_certs: no
      delegate_to: localhost
      register: cluster_info

    - name: Gather info from datacenter about specific cluster
      vmware_cluster_info:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        cluster_name: DC0_C0
      delegate_to: localhost
      register: cluster_info

    - name: Gather info from datacenter about specific cluster with tags
      vmware_cluster_info:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        cluster_name: DC0_C0
        show_tag: True
      delegate_to: localhost
      register: cluster_info

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
clusters dictionary | always | metadata about the available clusters Sample: {'DC0_C0': {'drs_default_vm_behavior': None, 'drs_enable_vm_behavior_overrides': None, 'drs_vmotion_rate': None, 'enable_ha': None, 'enabled_drs': True, 'enabled_vsan': False, 'ha_admission_control_enabled': None, 'ha_failover_level': None, 'ha_host_monitoring': None, 'ha_restart_priority': None, 'ha_vm_failure_interval': None, 'ha_vm_max_failure_window': None, 'ha_vm_max_failures': None, 'ha_vm_min_up_time': None, 'ha_vm_monitoring': None, 'ha_vm_tools_monitoring': None, 'vsan_auto_claim_storage': False, 'tags': [{'category_id': 'urn:vmomi:InventoryServiceCategory:9fbf83de-7903-442e-8004-70fd3940297c:GLOBAL', 'category_name': 'sample_cluster_cat_0001', 'description': '', 'id': 'urn:vmomi:InventoryServiceTag:93d680db-b3a6-4834-85ad-3e9516e8fee8:GLOBAL', 'name': 'sample_cluster_tag_0001'}]}}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Abhijeet Kasurde (@Akasurde)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.